JobHistoryServer (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class JobHistoryServer

    java.lang.Object
      org.apache.hadoop.mapred.JobHistoryServer

    public class JobHistoryServer

extends Object

`JobHistoryServer` is responsible for servicing all job history related requests from client. History Server can be initialized in one of two modes * Emdedded within `JobTracker` * External daemon, can either be run on the job tracker node or outside Two `Configuration` entries in mapred-site.xml govern the functioning of the history server mapred.job.history.server.http.address is address to which history web server is bound to. If operating in embedded mode, the hostname on history address has to be same as the job tracker host name mapred.job.history.server.embedded (default is true) will cause job tracker to init history server, else the server need to be started as a separate daemon process

Field Summary
`static String` | `MAPRED_HISTORY_SERVER_EMBEDDED`
`static String` | `MAPRED_HISTORY_SERVER_HTTP_ADDRESS`

Constructor Summary
`JobHistoryServer(JobConf conf)` Starts job history server as a independent process * Initializes ACL Manager * Starts a webapp to service history requests
`JobHistoryServer(JobConf conf, org.apache.hadoop.mapred.ACLsManager aclsManager, HttpServer httpServer)` Starts job history server as a embedded server within job tracker * Starts a webapp to service history requests

Method Summary
`void` | `join()`
`static void` | `main(String[] args)` Start job history server as an independent process
`void` | `shutdown()` Shutsdown the history server if already initialized
`void` | `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAPRED_HISTORY_SERVER_HTTP_ADDRESS

    public static final String MAPRED_HISTORY_SERVER_HTTP_ADDRESS

See Also:
  Constant Field Values

### MAPRED_HISTORY_SERVER_EMBEDDED

    public static final String MAPRED_HISTORY_SERVER_EMBEDDED

See Also:
  Constant Field Values

Constructor Detail

### JobHistoryServer

    public JobHistoryServer(JobConf conf)
                     throws IOException

  Starts job history server as a independent process * Initializes ACL Manager * Starts a webapp to service history requests

  Parameters:
    `conf` - - Mr Cluster configuration
  Throws:
    `IOException` - - any exception starting history server

### JobHistoryServer

    public JobHistoryServer(JobConf conf,
                            org.apache.hadoop.mapred.ACLsManager aclsManager,
                            HttpServer httpServer)
                     throws IOException

  Starts job history server as a embedded server within job tracker * Starts a webapp to service history requests

  Parameters:
    `conf` - - MR Cluster configuration
    `aclsManager` - - ACLs Manager for user authentication
    `httpServer` - - Http Server instance
  Throws:
    `IOException` - - any exception starting history server

Method Detail

### start

    public void start()
               throws IOException

  Throws:
    `IOException`

### join

    public void join()
              throws InterruptedException

  Throws:
    `InterruptedException`

### shutdown

    public void shutdown()
                  throws Exception

  Shutsdown the history server if already initialized

  Throws:
    `Exception` - - Any exception during shutdown

### main

    public static void main(String[] args)

  Start job history server as an independent process

  Parameters:
    `args` - - Command line arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation